pbf_types.hpp File Reference

Contains the declaration of low-level types used in the pbf format. More...

`#include <cstdint>`
Include dependency graph for pbf_types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| protozero
| All parts of the protozero header-only library are in this namespace.

## Typedefs

typedef uint32_t | protozero::pbf_tag_type
typedef uint32_t | protozero::pbf_length_type

## Enumerations

enum | protozero::pbf_wire_type : uint32_t { varint = 0, fixed64 = 1, length_delimited = 2, fixed32 = 5, unknown = 99 }

## Detailed Description

Contains the declaration of low-level types used in the pbf format.